=== debian/control ===
Source: ros-noetic-franka-gazebo
Section: misc
Priority: optional
Maintainer: Franka Emika GmbH <support@franka.de>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev <!nocheck>, ros-noetic-angles, ros-noetic-boost-sml, ros-noetic-catkin, ros-noetic-control-msgs, ros-noetic-control-toolbox, ros-noetic-controller-interface, ros-noetic-controller-manager, ros-noetic-eigen-conversions, ros-noetic-franka-example-controllers, ros-noetic-franka-gripper, ros-noetic-franka-hw, ros-noetic-franka-msgs, ros-noetic-gazebo-dev, ros-noetic-gazebo-ros-control, ros-noetic-geometry-msgs <!nocheck>, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-kdl-parser, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-rostest <!nocheck>, ros-noetic-sensor-msgs <!nocheck>, ros-noetic-std-msgs, ros-noetic-transmission-interface, ros-noetic-urdf
Homepage: http://wiki.ros.org/franka_gazebo
Standards-Version: 3.9.2

Package: ros-noetic-franka-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-angles, ros-noetic-boost-sml, ros-noetic-control-msgs, ros-noetic-control-toolbox, ros-noetic-controller-interface, ros-noetic-controller-manager, ros-noetic-eigen-conversions, ros-noetic-franka-example-controllers, ros-noetic-franka-gripper, ros-noetic-franka-hw, ros-noetic-franka-msgs, ros-noetic-gazebo-ros, ros-noetic-gazebo-ros-control, ros-noetic-hardware-interface, ros-noetic-joint-limits-interface, ros-noetic-kdl-parser, ros-noetic-pluginlib, ros-noetic-roscpp, ros-noetic-roslaunch, ros-noetic-rospy, ros-noetic-std-msgs, ros-noetic-transmission-interface, ros-noetic-urdf
Description: This package offers the FrankaHWSim Class to simulate a Franka Robot in Gazebo
